CURSES_INSDEL(3) | Library Functions Manual | CURSES_INSDEL(3)

# NAME

`curses_insdelln`, `insdelln`, `winsdelln` —
curses insert or delete lines routines

# LIBRARY

Curses Library (libcurses, -lcurses)

# SYNOPSIS

`#include <curses.h>`

int
`insdelln`(int n);

int
`winsdelln`(WINDOW *win, int n);

# DESCRIPTION

These functions insert or delete lines on `stdscr` or on the specified window.

If `insdelln`() is called with a positive number in n, then the specified number of lines are inserted before the current line on `stdscr`. The last n lines of the screen are no longer displayed. If n is negative, then n lines are deleted from `stdscr`, starting at the current line. The last n lines of `stdscr` are cleared.

The `winsdelln`() function is the same as the `insdelln`() function, excepting that lines are inserted or deleted from the window specified by win.

If a scrolling region has been set with the `setscrreg`() or `wsetscrreg`() functions and the current cursor position is inside the scrolling region, then only the lines from the current line to the bottom of the scrolling region are affected.

# RETURN VALUES

Functions returning pointers will return `NULL` if an error is detected. The functions that return an int will return one of the following values:

`OK`
  The function completed successfully.
`ERR`
  An error occurred in the function.

# SEE ALSO

curses_deleteln(3), curses_insertln(3), curses_scroll(3)

# STANDARDS

The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

# HISTORY

The Curses package appeared in 4.0BSD.

August 12, 2002 | NetBSD 9.3